Bug 177222 - [PAL] Move MediaTimeAVFoundation into PAL
Summary: [PAL] Move MediaTimeAVFoundation into PAL
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-09-20 01:40 PDT by Yoshiaki Jitsukawa
Modified: 2017-09-27 12:26 PDT (History)
4 users (show)

See Also:


Attachments
Patch (77.48 KB, patch)
2017-09-20 01:51 PDT, Yoshiaki Jitsukawa
no flags Details | Formatted Diff | Diff
Patch (86.14 KB, patch)
2017-09-20 23:36 PDT, Yoshiaki Jitsukawa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yoshiaki Jitsukawa 2017-09-20 01:40:22 PDT
Move MediaTimeAVFoundation into PAL. This is a blocker to move platform/Clock.
Comment 1 Yoshiaki Jitsukawa 2017-09-20 01:51:48 PDT
Created attachment 321302 [details]
Patch
Comment 2 Myles C. Maxfield 2017-09-20 11:42:14 PDT
Comment on attachment 321302 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=321302&action=review

> Source/WebCore/Configurations/WebCore.unexp:72
> +__ZNK3WTF9MediaTime9timeValueEv

Is this file actually used anymore?
Comment 3 Myles C. Maxfield 2017-09-20 11:42:35 PDT
r=me assuming you get EWS happy
Comment 4 Yoshiaki Jitsukawa 2017-09-20 15:37:56 PDT
(In reply to Myles C. Maxfield from comment #2)
> Comment on attachment 321302 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=321302&action=review
> 
> > Source/WebCore/Configurations/WebCore.unexp:72
> > +__ZNK3WTF9MediaTime9timeValueEv
> 
> Is this file actually used anymore?

Yes, without it I see the following errors:

ERROR: WebCore has a weak external symbol in it.
ERROR: A weak external symbol is generated when a symbol is defined in multiple compilation units and is also marked as being exported from the library.
ERROR: A common cause of weak external symbols is when an inline function is listed in the linker export file.
ERROR: symbol __ZNK3WTF9MediaTime14hasBeenRoundedEv
ERROR: symbol __ZNK3WTF9MediaTime14hasDoubleValueEv
ERROR: symbol __ZNK3WTF9MediaTime18isNegativeInfiniteEv
ERROR: symbol __ZNK3WTF9MediaTime18isPositiveInfiniteEv
ERROR: symbol __ZNK3WTF9MediaTime7isValidEv
ERROR: symbol __ZNK3WTF9MediaTime9timeScaleEv
ERROR: symbol __ZNK3WTF9MediaTime9timeValueEv
Comment 5 Yoshiaki Jitsukawa 2017-09-20 23:36:36 PDT
Created attachment 321413 [details]
Patch
Comment 6 Yoshiaki Jitsukawa 2017-09-20 23:42:49 PDT
The new PR also adds CoreMediaSoftLink for PAL, to provide "_CMTimeMake" and "_CMTimeMakeWithSeconds".
Comment 7 WebKit Commit Bot 2017-09-21 10:33:56 PDT
Comment on attachment 321413 [details]
Patch

Clearing flags on attachment: 321413

Committed r222326: <http://trac.webkit.org/changeset/222326>
Comment 8 WebKit Commit Bot 2017-09-21 10:33:57 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2017-09-27 12:26:39 PDT
<rdar://problem/34693286>